> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korve.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Enable User

> Re-enable a disabled customer-app user and record an audit event.



## OpenAPI

````yaml /openapi.json post /v1/orgs/{orgId}/projects/{projectId}/auth/users/{userId}/enable
openapi: 3.1.0
info:
  title: Korve API
  version: 0.1.0
  description: >-
    Typed control plane for deploying applications and explicitly provisioning
    their managed infrastructure.
servers:
  - url: https://api.korve.dev
security: []
paths:
  /v1/orgs/{orgId}/projects/{projectId}/auth/users/{userId}/enable:
    post:
      tags:
        - appauth
      summary: Enable User
      description: Re-enable a disabled customer-app user and record an audit event.
      operationId: appauth.enableUser
      parameters:
        - name: orgId
          in: path
          required: true
          schema:
            type: string
          description: The organization's id (UUID) or slug — either form is accepted.
        - name: projectId
          in: path
          required: true
          schema:
            type: string
          description: The project's id (UUID) or slug — either form is accepted.
        - name: userId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Enabled user.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  email:
                    type: string
                    format: email
                  emailVerified:
                    type: boolean
                  name:
                    type:
                      - string
                      - 'null'
                  image:
                    type:
                      - string
                      - 'null'
                  disabledAt:
                    type:
                      - string
                      - 'null'
                    format: date-time
                  createdAt:
                    type: string
                    format: date-time
                  lastSignInAt:
                    type:
                      - string
                      - 'null'
                    format: date-time
                  lastActiveAt:
                    type:
                      - string
                      - 'null'
                    format: date-time
                required:
                  - id
                  - email
                  - emailVerified
                  - name
                  - image
                  - disabledAt
                  - createdAt
                  - lastSignInAt
                  - lastActiveAt
        '404':
          description: No such project or app-auth resource in this organization.
        '422':
          description: Invalid configuration or request.
      security:
        - apiKey: []
        - session: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: korve_api_key
    session:
      type: apiKey
      in: cookie
      name: korve.session_token

````